Bug 634857 - iptables rules don't allow dhcpv6 requests
Summary: iptables rules don't allow dhcpv6 requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-firewall
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks: 836160 947782 994246 582286
TreeView+ depends on / blocked
 
Reported: 2010-09-17 07:51 UTC by Marian Ganisin
Modified: 2018-12-06 14:36 UTC (History)
9 users (show)

Fixed In Version: system-config-firewall-1.2.27-7.1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-07 08:06:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
system-config-firewall-1.2.27-rhbz#634857.patch (729 bytes, patch)
2013-07-04 07:21 UTC, Lukas "krteknet" Novy
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0837 normal SHIPPED_LIVE system-config-firewall bug fix update 2014-07-07 12:04:46 UTC

Description Marian Ganisin 2010-09-17 07:51:25 UTC
Description of problem:
Default iptables rules for IPv6 don't allow DHCPv6 configuration. It requires port 546 open for NEW connection, dhcpv6-client is listening there for reply.

There are few similar bugs reported to Fedora, however I didn't find any bugreport for rhel6

Version-Release number of selected component (if applicable):
RHEL6 RC
iptables-1.4.7-3


Fedora bugreports:
https://bugzilla.redhat.com/show_bug.cgi?id=591630
https://bugzilla.redhat.com/show_bug.cgi?id=552099

Additional info:
I am not sure where to report this. Now I chose system-config-firewall, however probably this could be cloned/assigned also for anaconda as it is probably responsible for initial setup.

Comment 1 Phil Knirsch 2010-12-17 15:07:58 UTC
After several discussions with Thomas Graf and Thomas Woerner the final
solution will now be mainly handled via a new kernel module that "does the
right thing"(tm). So the only changes we need now at the moment is the kernel
module and support in anaconda initially.

Moving this bug to 6.2 to cover how we handle this properly in s-c-f then (aka,
lokkit support and new service).

Thanks & regards, Phil

Comment 3 RHEL Product and Program Management 2011-07-06 00:09:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 Tom Lavigne 2012-09-18 15:21:55 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.
    
Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 6 Lukas "krteknet" Novy 2013-07-04 07:21:12 UTC
Created attachment 768616 [details]
system-config-firewall-1.2.27-rhbz#634857.patch

I had been hit by this recently too, so I tried to steal a fix from system-config-firewall-1.2.29-6.fc17 and applied it over rhel6 current system-config-firewall-1.2.27-5.el6 

Applies cleanly and works great.

Comment 18 errata-xmlrpc 2014-07-07 08:06:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0837.html


Note You need to log in before you can comment on or make changes to this bug.